---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualThreadStartTest.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xE7C, symBinAddr: 0x2C54, symSize: 0x198 }
  - { offsetInCU: 0x9F, offset: 0x9F, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x1FD68, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x28A, offset: 0x28A, size: 0x8, addend: 0x0, symName: __ZL16agent_event_lock, symObjAddr: 0x1FD50, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x2B9, offset: 0x2B9, size: 0x8, addend: 0x0, symName: __ZL22can_support_vt_enabled, symObjAddr: 0x1FD58, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x2E0, offset: 0x2E0, size: 0x8, addend: 0x0, symName: __ZL18started_thread_cnt, symObjAddr: 0x1FD5C, symBinAddr: 0x806C, symSize: 0x0 }
  - { offsetInCU: 0x300, offset: 0x300, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1FD60, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x971A, offset: 0x971A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2A24, symSize: 0x24 }
  - { offsetInCU: 0x9BB9, offset: 0x9BB9, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xC70, symBinAddr: 0x2A48, symSize: 0x20C }
  - { offsetInCU: 0xA03C, offset: 0xA03C, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1014, symBinAddr: 0x2DEC, symSize: 0x90 }
  - { offsetInCU: 0xA148, offset: 0xA148, size: 0x8, addend: 0x0, symName: _VirtualThreadStart, symObjAddr: 0x10A4, symBinAddr: 0x2E7C, symSize: 0x210 }
  - { offsetInCU: 0xA5D8, offset: 0xA5D8, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_canSupportVirtualThreads, symObjAddr: 0x12B4, symBinAddr: 0x308C, symSize: 0x4C }
  - { offsetInCU: 0xA61D, offset: 0xA61D, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_getAndResetStartedThreads, symObjAddr: 0x1300, symBinAddr: 0x30D8, symSize: 0x104 }
  - { offsetInCU: 0xA8E5, offset: 0xA8E5, size: 0x8, addend: 0x0, symName: _agent_init, symObjAddr: 0x1404, symBinAddr: 0x31DC, symSize: 0x20C }
  - { offsetInCU: 0xAB6A, offset: 0xAB6A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1610, symBinAddr: 0x33E8, symSize: 0x44 }
  - { offsetInCU: 0xABD8, offset: 0xABD8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1654, symBinAddr: 0x342C, symSize: 0x44 }
...
